namespace Examen
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Pipe.firstRun();
            Pipe.getData("data.txt");

            while (true)
            {
                Console.WriteLine("1. Вывести исходные данные на экран.");
                Console.WriteLine("2. Выполнить проверку на брак.");
                Console.WriteLine("3. Определить процент брака по каждому виду изделию.");
                Console.WriteLine("4. Определить вес изделия.");
                Console.WriteLine("5. Очистить экран.");
                Console.WriteLine("6. Завершить работу.");
                Console.Write("Выбертие действие: ");

                switch (Convert.ToInt32(Console.ReadLine()))
                {
                    case 1:
                        Pipe.show();
                        break;
                    case 2:
                        Pipe.getBreak();
                        break;
                    case 3:
                        Pipe.getBreakEach();
                        break;
                    case 4:
                        Pipe.getWeight();
                        break;
                    case 5:
                        Console.Clear();
                        break;
                    case 6:
                        Pipe.diagnostic("Выход из приложения");
                        Environment.Exit(0);
                        break;
                    default:
                        Console.WriteLine("Выберите действие из списка!");
                        break;
                }
            }
        }
    }
}